"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get_project = void 0;
const zod_1 = require("zod");
const tool_js_1 = require("../../tool.js");
const projects_js_1 = require("../../../management/projects.js");
const util_js_1 = require("../../util.js");
exports.get_project = (0, tool_js_1.tool)({
    name: "get_project",
    description: "Retrieves information about the currently active Firebase project.",
    inputSchema: zod_1.z.object({}),
    annotations: {
        title: "Get Current Firebase Project",
        readOnlyHint: true,
    },
    _meta: {
        requiresAuth: true,
        requiresProject: true,
    },
}, async (_, { projectId }) => {
    return (0, util_js_1.toContent)(await (0, projects_js_1.getProject)(projectId));
});
