"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFirestoreEmulatorUrl = void 0;
const types_js_1 = require("../../../emulator/types.js");
async function getFirestoreEmulatorUrl(hubClient) {
    if (!hubClient) {
        throw Error("Emulator Hub not found or is not running. You can start the emulator by running `firebase emulators:start` in your firebase project directory.");
    }
    const emulators = await hubClient.getEmulators();
    const firestoreEmulatorInfo = emulators[types_js_1.Emulators.FIRESTORE];
    if (!firestoreEmulatorInfo) {
        throw Error("No Firestore Emulator found running. Make sure your project firebase.json file includes firestore and then rerun emulator using `firebase emulators:start` from your project directory.");
    }
    return `http://${firestoreEmulatorInfo.host}:${firestoreEmulatorInfo.port}`;
}
exports.getFirestoreEmulatorUrl = getFirestoreEmulatorUrl;
